- Qt 6.10
- Qt GUI
- C++ Classes
- QtGuiPrivate
- QRhiD3D12NativeHandles
- Qt 6.10.2 Reference Documentation

# QRhiD3D12NativeHandles Struct

Holds the D3D12 device used by the QRhi. More...

Header: | `#include <rhi/qrhi.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS GuiPrivate)` `target_link_libraries(mytarget PRIVATE Qt6::GuiPrivate)`
qmake: | `QT += gui-private`
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

qint32 | adapterLuidHigh
quint32 | adapterLuidLow
void * | commandQueue
void * | dev
int | minimumFeatureLevel

## Detailed Description

Note: The class uses `void *` as the type since including the COM-based `d3d12.h` headers is not acceptable here. The actual types are `ID3D12Device *` and `ID3D12CommandQueue *`.

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### qint32 QRhiD3D12NativeHandles::adapterLuidHigh

The high part of the local identifier (LUID) of the DXGI adapter to use. Relevant only when QRhi creates the device, ignored when importing a device and device context.

### quint32 QRhiD3D12NativeHandles::adapterLuidLow

The low part of the local identifier (LUID) of the DXGI adapter to use. Relevant only when QRhi creates the device, ignored when importing a device and device context.

### void *QRhiD3D12NativeHandles::commandQueue

When set, must point to a ID3D12CommandQueue. It allows to optionally import a command queue as well, in addition to a device.

### void *QRhiD3D12NativeHandles::dev

Points to a ID3D12Device or left set to `nullptr` if no existing device is to be imported.

### int QRhiD3D12NativeHandles::minimumFeatureLevel

Specifies the minimum feature level passed to D3D12CreateDevice(). When not set, `D3D_FEATURE_LEVEL_11_0` is used. See this page for details.

Relevant only when QRhi creates the device, ignored when importing a device and device context.